/* The emerging W3C standard
   that is currently Firefox-only */

body {
    overflow: hidden;
}

.sh_sidebar {
    background-image: url("../images/sidebar.png");
}

/** {
    scrollbar-color: whitesmoke lightgray;
}

    *::-webkit-scrollbar-track {
        background: lightgray;
    }

    *::-webkit-scrollbar-thumb {
        background-color: whitesmoke;
        border-color: lightgray;
    }*/


h1, h2, h3 {
    color: dimgray
}

.sh_app .btn {
    border: 1px solid steelblue;
    border-radius:0.2vw;
    height:2vw;
    padding:0.25vw;
    /*padding: 0 0.75rem;*/
}

button:hover {
    background-color: steelblue !important;
    color: white !important;
}
/*
tbody tr:hover {
    background-color: white !important;
    color: black !important;
}
*/


input[type=search] {
    border: 1px solid gray;
    outline: 0;
    padding: 6px;
}


.sh_sidebar, .sh_sessionbar {
    /*    background-color: #303030;*/
    background-color: lightgray;
    color: black;
    user-select: none;
}


.sh_accordiontab {
    width: 100%;
}

.sh_accordiontabbutton {
    user-select: none;
    text-transform: uppercase;
    /*border: 1px solid transparent;*/
}

    /*.sh_accordion li span:hover {
    color: white;
}*/

    .sh_accordiontabbutton:hover span,
    .sh_accordion li[data-key]:hover span {
        color: orange;
    }

.sh_accordiontab.open .sh_accordiontabbutton {
    border-color: black;
    color: white;
    border-radius: 0.5vw;
}

.sh_accordiontab.closed .sh_accordiontabbutton {
    background-color: inherit;
}

.sh_table {
    background-color: transparent;
    color: inherit;
    outline: 0;
}

    .sh_table th {
        font-weight: 600;
        color: black;
        text-transform:uppercase;
    }

    .sh_table thead th {
        padding-bottom: 0;
    }

    .sh_table.sortable th.sortable {
        cursor: pointer;
    }

    .sh_table .sh_table_button_column {
        width: 1px;
    }

    .sh_table th span.sort {
        display: block;
        text-align: center;
        border-top: 1px solid;
        visibility: hidden;
        height: 1vw;
        font-size: 0.6vw;
    }

    .sh_table th.sortable[data-sort] span.sort {
        visibility: visible;
    }

    .sh_table th.sortable[data-sort='asc' i] span.sort:after {
        content: '▲';
    }

    .sh_table th.sortable[data-sort='desc' i] span.sort:after {
        content: '▼';
    }





/*  .sh_table th:last-child {
            width: 1px;
        }

    .sh_table td:last-child {
        width: 1px;
    }*/
.sh_app {
    background-color: whitesmoke;
    color: black;
}

.sh_app {
    background-color: var(--main-bg-color);
    color: var(--main-fg-color);
    overflow: hidden;
}

.sh_database_recordpanel > span:first-child {
    background-color: whitesmoke;
}

.sh_app .sh_database_recordpanel > span:first-child {
    background-color: var(--main-bg-color);
}

.sh_app .sh_sidebar,
.sh_app .sh_sessionbar {
    background-color: var(--side-bg-color);
    color: var(--side-fg-color);
}

.sh_app * {
    scrollbar-color: var(--table-footer-bg-color) var(--table-header-bg-color);
}

    .sh_app *::-webkit-scrollbar-track {
        background: var(--table-header-bg-color);
    }

    .sh_app *::-webkit-scrollbar-thumb {
        background-color: var(--table-footer-bg-color);
        border-color: var(--table-header-bg-color);
    }


.sh_datatype_text {
    max-width: 400px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


.sh_table tr td button {
    /*  height: 1.8vw;
    font-size: 0.8vw;*/
    /*visibility:hidden;*/
}

/*.sh_table tr:hover td button {
    visibility: visible;
}
*/

.sh_app button.image-button {
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    border: 1px solid gray;
    cursor: pointer;
    padding: 0.3vw;
    /*padding-left: 1.5vw;*/
    background-origin: content-box;
    text-align: left;
    min-width: 5vw;
    /*border-radius:0.25rem;*/
    /*background-color:gold;*/
}

    .sh_app button.image-button span {
        margin-left: 1.5vw;
    }

    .sh_app button.image-button.no-text {
        border: none;
        min-width: auto;
        width: 1.8vw;
        background-color: rgba(255,255,255,0);
        font-size: 0;
        color: transparent;
    }

        .sh_app button.image-button.no-text span {
            display: none;
        }


.sh_database_listview .action_panel button.image-button {
    background-origin: content-box;
    outline: 0;
    background-color: steelblue;
}


    .sh_database_listview .action_panel button.image-button.filter-button {
        background-image: url("../images/filter.png");
    }

.sh_database_listview.filterbar_visible .action_panel button.image-button.filter-button {
    background-color: lightseagreen;
}


.sh_database_listview .action_panel button.image-button.columns-button {
    background-image: url("../images/columns.png");
}

.sh_database_listview .action_panel button.image-button.print-button {
    background-image: url("../images/print.png");
}



.sh_app h5, .sh_app h6 {
    text-transform: uppercase;
    font-weight:600;
}
